# LDAP kudeaketarako Web Interfazea
[base]: https://github.com/jirutka/ldap-passwd-webui
[proiektu-izena]: ldap-python-webui
[git-izena]: aitzol/[proiektu-izena]
[pypi-bottle]: https://pypi.python.org/pypi/bottle/
[pypi-ldap3]: https://pypi.python.org/pypi/ldap3
[settings]: https://git.lainoa.eus/aitzol/ldap-python-webui/src/branch/master/settings.ini.example
[GPL3]: https://www.gnu.org/licenses/gpl-3.0.txt
[LICENSE]: https://www.gnu.org/licenses/licenses.html
[wsgiref]: https://docs.python.org/3/library/wsgiref.html#module-wsgiref.simple_server
[WSGI]: https://en.wikipedia.org/wiki/Web_Server_Gateway_Interface
[LDAP]: https://eu.wikipedia.org/wiki/LDAP
[fork]: https://github.com/jirutka/ldap-passwd-webui

Proiektu honen helburua erabiltzaileei [LDAP][LDAP] protokoloa erabiltzen duten zerbitzuetan norberaren kontuaren kudeaketarako tresna bat eskaintzea da, kontua sortu, pasahitza aldatu eta oinarrizko beste eragiketa batzuk burutzeko aukera emanez. [Bottle](http://bottlepy.org), Python-en WSGI web-framework-a erabiliz dago eraikia, [@jirutka][fork]-ren _ldap-passwd-webui_ proiektuan oinarritua.

## Instalakuntza

#### Baldintzak

* Python 3.x
* [bottle][pypi-bottle]
* [ldap3][pypi-ldap3] 2.x

#### Urratsak

Biltegi honetako edukiak klonatu eta menpekotasunak instalatu:

    git clone https://git.lainoa.eus/aitzol/ldap-python-webui
    cd ldap-python-webui
    pip install -r requirements.txt

## Abian jarri

#### Konfiguraketa

Konfiguraketa [settings.ini][settings] fitxategian ezartzen da. Fitxategi honen kokapena `CONF_FILE` ingurumen-aldagaia erabiliz zehaztu daiteke.

#### Ingurunea

`LDAP_ADMIN_PASSWORD` eta `LDAP_READONLY_PASSWORD` _environment_ edo ingurumen-aldagaiak sisteman ezarri.

#### Abiarazteko aukerak

* [WSGI][WSGI] zerbitzariaren bidez, [wsgiref][wsgiref]-en oinarritua:

```
    uwsgi --http :8080 --enable-threads --wsgi-file app.py
```

* Berezko Bottle zerbitzariaren bidez zuzenean `app.py` exekutatuz:

```
    cd ldap-python-webui
    python3 app.py
```

* Ondoren nabigatzailean http://localhost:8080 helbidea ireki

## Ezaugarriak
* Saioa hasi
    > Erabiltzaile izena eta pasahitzaz LDAP zerbitzarian saioa hasi.
* Izen-abizenak(aukerakoa) editatu
* Email helbidea editatu
* Pasahitza aldatu
* kontua ezabatu
* Kontua sortu
    > Gonbidapen kodea erabiliz
* Lokalizazioa/Hizkuntza egokitzeko aukera

## Egiteke

* Erabiltzaileari ePosta bidez kontua aktibatzeko eskatzea.
* Pasahitza berrezartzen denean erabiltzaileari ePosta bidez jakinaraztea.

## Screenshot

![alt text](data/screenshot.png "Screenshot")


## Lizentzia

Lan hau [GPLv3 License][LICENSE] lizentziapean aurkitzen da.
Lizentziaren textu osoa eskuratzeko ikusi ondorengo [esteka][GPL3].